<?php
session_start();
include "../../inc/config.php";
session_check();
switch ($_GET["act"]) {
  case "in":
  
  
  
  $data = array("numfact"=>$_POST["numfact"],"fecha"=>$_POST["fecha"],"clientes_idclientes"=>$_POST["clientes_idclientes"],"condiciones"=>$_POST["condiciones"],"total_venta"=>$_POST["total_venta"],"estado"=>$_POST["estado"],);
  
  
  
   
    $in = $db->insert("factura",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
  case "delete":

    /*$db->fetch_single_row('factura','idfactura',$_GET["id"])->numfact;

    $del = "SELECT factura_detalle.id_producto, factura_detalle.cantidad, factura_detalle.precio_venta, productos.stock, (productos.stock + factura_detalle.cantidad) as suma FROM factura_detalle , productos WHERE factura_detalle.numfact = '".$_POST["numfact"]."' AND factura_detalle.id_producto = productos.idproductos";*/
    
    
    $db->delete("factura","idfactura",$_GET["id"]);
    break;
  case "up":
   $data = array("numfact"=>$_POST["numfact"],"fecha"=>$_POST["fecha"],"clientes_idclientes"=>$_POST["clientes_idclientes"],"condiciones"=>$_POST["condiciones"],"total_venta"=>$_POST["total_venta"],"estado"=>$_POST["estado"],);   

    
    $up = $db->update("factura",$data,"idfactura",$_POST["id"]);

    if ($_POST["estado"] == "A") {
      $actu = "SELECT factura_detalle.id_producto, factura_detalle.cantidad, factura_detalle.precio_venta, productos.stock, (productos.stock + factura_detalle.cantidad) as suma FROM factura_detalle , productos WHERE factura_detalle.numfact = '".$_POST["numfact"]."' AND factura_detalle.id_producto = productos.idproductos";
    $stock = $db->fetch_custom_single($actu)->suma;
    $idp = $db->fetch_custom_single($actu)->id_producto;

    $dato = array("stock"=>$stock);

    $db->update("productos",$dato,"idproductos",$idp);
    }
    

    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>